program main
  use wei_shotinv_mod

  logical :: adj, add
  integer :: stat

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()

  call from_param("adj", adj, .true.)
  call from_param("add", add, .true.)


  stat = wei_shotinv_oper(adj)

  call exit()
end program
